Edit Automatic Reload settings

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This service allows you to edit your Automatic Reload settings.

Special parameters

NameTypeDescription
is_activebooleanThis value is "true" when you want to active the Automatic Reload Settings.
quantityintThis value is the quantity.
passwordstringThis value is the password.
country_codestringThis value is the country code.
product_namestringThis value is the product Name.
amount_to_orderintThis value is the the amount to order number.
monthly_budgetstringThis value is the monthly budget value.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
   "is_active": true,
   "quantity": 150000,
   "country_code": "MD",
   "product_name": "sms_premium",
   "amount_to_order": 100,
   "monthly_budget": 200
}
Body Params

Automatic Reload Settings

boolean
required
integer
string
string
enum
Allowed:
integer
required
integer
required
≤ 2000
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

401

Unauthorized.

403

Forbidden.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json